searchData={"items":[{"type":"module","title":"KinoStlViewer","doc":"Renders an STL file using [`react-stl-viewer`](https://www.npmjs.com/package/react-stl-viewer)","ref":"KinoStlViewer.html"},{"type":"function","title":"KinoStlViewer.load/2","doc":"Loads a STL file into the viewer.\n\nThe data is expected to be the binary data of the file itself, so if the file is \nin disk, read it first and then call this function.","ref":"KinoStlViewer.html#load/2"},{"type":"function","title":"KinoStlViewer.new/0","doc":"Creates a new STL Viewer","ref":"KinoStlViewer.html#new/0"},{"type":"extras","title":"Usage","doc":"# Usage\n\n```elixir\nMix.install([\n  {:kino_stl_viewer, \"~> 0.1.0\"}\n])\n```","ref":"usage.html"},{"type":"extras","title":"Setup the viewer - Usage","doc":"First we need to create the viewer before we can load models into it.\n\n```elixir\nviewer = KinoStlViewer.new()\n```","ref":"usage.html#setup-the-viewer"},{"type":"extras","title":"Load models - Usage","doc":"Now that the viewer is created, we can load STL files into it.\n\nHere is an example using a file input and a form:\n\n```elixir\nform =\n  Kino.Control.form(\n    [file: Kino.Input.file(\"STL File\", accept: [\".stl\"])],\n    submit: \"Load Model\"\n  )\n\nform\n|> Kino.Control.stream()\n|> Kino.listen(fn event ->\n  unless is_nil(event.data.file) do\n    path = Kino.Input.file_path(event.data.file.file_ref)\n    content = File.read!(path)\n    KinoStlViewer.load(viewer, content)\n  end\nend)\n\nform\n```","ref":"usage.html#load-models"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}